Subject: bug#20247: 24.4; Emacs hangs at startup in desktop mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 May 2016 19:09:18 +0300

> From: Paul Eggert <[email-masked]>
> Date: Fri, 20 May 2016 08:34:41 -0700
> Cc: Richard Munitz <[email-masked]>, [email-masked]
> 
> If someone has the time to develop an even-better patch, that would be 
> great. In the meantime, the question is whether the proposed patch 
> improves Emacs. I don't use desktop mode and don't know the pros and 
> cons of the various settings. That being said, it appears that 
> defaulting desktop-restore-in-current-display to nil caused significant 
> misbehavior for a real use case, whereas defaulting to t would have 
> worked for that use case. There is something to be said for choosing a 
> default that is less likely to cause a bug, even if you have not fixed 
> the bug in general.

I agree.  The fix sounds OK for the release branch, provided that it
solves the original problem.

Thanks.